Page MenuHomePhabricator

Create Esperanto Analysis Chain using new Esperanto Plugin
Closed, ResolvedPublic

Description

Until the upgrade to ES 6 is complete (T194199, etc.), it's difficult to work on the Esperanto Analysis chain, so I've separated this out as a distinct task.

David kindly back-ported the Esperanto ES6 plugin to ES5, so it's possible to test an analysis chain in ES5; it shouldn't change for ES6. Depending on our ES6 timeline, we may or may not deploy the ES5 version of the plugin and enable Esperanto analysis before the ES6 migration.

Details

Related Gerrit Patches:
mediawiki/extensions/CirrusSearch : masterEnable Esperanto Analysis Chain

Event Timeline

TJones triaged this task as Medium priority.Aug 17 2018, 9:20 PM
TJones created this task.
TJones updated the task description. (Show Details)Aug 21 2018, 2:46 PM

After the fixes from T202662, everything looks good. I've created a new analysis chain, adding the stemmer and ICU folding. Detailed write up on MediaWiki.

Next Steps:

  • Upload a patch with the new Esperanto analysis chain, including the Esperanto stemmer and the ICU folding (see new patch below)
  • Wait for the Esperanto stemmer plugin to be deployed (the version for Elasticsearch 5 will probably be deployed, but there is a small chance we have to wait for the Elasticsearch 6 version).
  • Re-index Esperanto-language wikis to enable the new analysis chain.

Change 455727 had a related patch set uploaded (by Tjones; owner: Tjones):
[mediawiki/extensions/CirrusSearch@master] Enable Esperanto Analysis Chain

https://gerrit.wikimedia.org/r/455727

Change 455727 merged by jenkins-bot:
[mediawiki/extensions/CirrusSearch@master] Enable Esperanto Analysis Chain

https://gerrit.wikimedia.org/r/455727

debt closed this task as Resolved.Sep 13 2018, 9:07 PM
debt closed subtask T202662: Esperanto Stemmer Updates as Resolved.
debt closed subtask T203005: Re-index Esperanto Wikis as Resolved.